#include <Arduino.h>
#include <ESP8266WiFi.h>
#include "SD_card.h"

class chart
{
  private:
    char msg[3000];
  public:
    void get_script(WiFiClient client);
    void get_chart(WiFiClient client, capteur* capteurs, int nb_capteur);
    void get_chart(WiFiClient client);
    void put_data_header(WiFiClient client, int nbdata);
    void put_data(char* msg_l, char* label, double* data, int nbdata, unsigned char r, unsigned char g, unsigned char b);
    void end_data(WiFiClient client);
    void put_data_footer(WiFiClient client);
    void put_labels(char* msg_l,char* timestamp, int nbdata);
    void show_list(WiFiClient client);
    void index(WiFiClient client);
    int charge_date(char* date_sel, Siplec* sondes);
};
